Subject: bug#23619: Some epg tests fail

From: [email-masked]
Date: Fri, 03 Mar 2017 23:53:45 -0500

tag 23619 - fixed patch
quit

Glenn Morris <[email-masked]> writes:

>> reopen 23619 
>
> Thanks. Since you add the fixed tag when you close bugs, you'll need to
> remember to remove it when you reopen. (Personally I recommend not using
> the fixed tag.)

The debbugs.el code (from debbugs-gnu-send-control-message) I adapted
adds the fixed tag.  I've now added code to remove it when reopening.

>>
>> Hmm, so pinentry-program doesn't work for 2.0?  It's documented in the
>> manual [1].
>
> Obviously I need to get a proper informative failure message so we can
> see why the tests fail...

> I don't know if the attached backtrace is helpful.

AFAICT, the only relevant data is on the first line:

gpg: keyring `/tmp/epg-tests-homedir30708Tdb/secring.gpg' created
gpg: keyring `/tmp/epg-tests-homedir30708Tdb/pubring.gpg' created
gpg: CAST5 encrypted data
gpg: can't connect to the agent: IPC connect call failed
gpg: problem with the agent: No agent running
gpg: encrypted with 1 passphrase
gpg: decryption failed: No secret key

Does "IPC connect call failed" give you any ideas?

You could try setting `epg-debug' and looking at " *epg-debug*" buffer,
not sure if will have any more info though.